Hide the version of WordPress

(No ratings yet)
Загрузка ... Loading ...

Recently, I discussed some of the ways to protect WordPress blog . Today I want to share with you a way to hide the version of WP from intruders.

The fact that you know the version of the engine WP hacker can easily find a "key" to your treasure and manage them as you like I will not speak. Immediately proceed to the defense.

1. Functions.php file in the folder with your theme.
Add the line

  'wp_head' , 'wp_generator' ) ; ?> <? Php remove_action ('wp_head', 'wp_generator');?> 

2. Header.php file in the folder with your theme.
Remove the string

  <Meta name = "generator" content = "WordPress <? Php
 ) ; ?> " /> bloginfo ('version');?> "/> 

3. License.txt readme.html files and folder in korenvoy WordPress.
Delete these files completely.

4. Files:
feed-atom-comments.php
feed-atom.php
feed-rdf.php
feed-rss.php
feed-rss2-comments.php
feed-rss2.php
feed.php
in the folder / wp-includes
In each of these files, delete the line

  $wp_version ?> " --> <! - Generator = "wordpress / <? Php echo $ wp_version?>" -> 

and

  <Generator uri = "http://wordpress.org/" version = "<? Php
 ) ; ?> ">WordPress</generator> bloginfo ('version');?> "> WordPress </ generator> 

The file feed-rdf.php 22 line looks

 $wp_version ?> "/> <Admin: generatorAgent rdf: resource = "http://wordpress.org/?v = <? Php echo $ wp_version?>" /> 

Remove it.

By following these simple steps you will hide the version of WordPress particularly curious. I would also note that if you are using to broadcast their rss-feeds service FeedBurner, the fourth step will help you.

Last modified: 10/08/2013 at 08:03
Published: Monday, June 8, 2009 at 14:49
Choose the language:

Comments: 9

Average bar: 4.96 out of 5
  1. Alexander
    June 17, 2009 at 20:08

    It is written in a pile of blogs.

    Reply

  2. richkeeper
    June 18, 2009 at 02:25

    Yes, still the dupe. But I would not recommend a meta tag to erase.

    Reply

  3. Ai Pi Mani
    June 18, 2009 at 05:39

    richkeeper, please justify.

    Reply

  4. Aleksandr
    June 27, 2009 at 23:30

    What can you say about the new version 2.8 and its security? If you think so, then in principle the code is full of holes ...

    Reply

  5. BL
    June 27, 2009 at 23:32

    As for me, the most important thing is that the database is not got melon, and the rebuilding of the rest.

    Reply

  6. Web Design
    September 20th, 2009 at 21:02

    In my view, it is easier to upgrade WordPress. Of course, it will take more time, but the latest versions of WordPress is updated directly from the administration panel and takes less than a minute.

    Reply

  7. Azamat
    May 18, 2011 at 11:07

    I am a novice blogger and I need this information has been helpful! Thank you!

    Reply

  8. Simple
    August 28, 2011 at 11:18

    In my opinion, a normal post. :)

    Reply

  9. Serge
    October 25, 2011 at 18:34

    Good post - threw a bookmark, esteem visit again.

    Reply

Have something to say? Do not be silent!


Your comment will appear after being moderated.
Spam and off-topic posts are deleted.

To insert php-code, use the tag:
<pre lang="php"> php-code </ pre>


I'm not a spammer!